今天你们的kernel有没有升级?我升了又启动不了。[已解决]

为当前最终发行版之前的所有版本提供支持
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

今天你们的kernel有没有升级?我升了又启动不了。[已解决]

#1

帖子 yongyi » 2005-06-28 13:28

刚才还搞着xmms的插件,突然发现有更新哦。一看是686和386核心的更新,于是就更新啦。

谁知,现在再开机,就启动不了了,提示:
kernel panic - not syncing : VFS : Unable to mount root fs on unknown-block(0,0)


:?: 老天呀,谁可助我也?

想办法(如用livecd)启动一个linux,然后mount 上 Ubuntu 的分区并chroot ,
改源为breezy,
然后apt-get install initrd-tools linux-image-2.6.12-2-686(奇怪,找不到2.6.11的)
重启,OK。

其实以前GOVO已经遇到这个问题:
http://forum.ubuntu.org.cn/viewtopic.ph ... rnel+panic
上次由 yongyi 在 2005-06-29 7:50,总共编辑 2 次。
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
杨珂
帖子: 92
注册时间: 2005-05-11 17:36
来自: 四川南充
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 杨珂 » 2005-06-28 15:47

我也升级了
第二次启动linux自动重启了一下,但第一 第三次启动都没有问题。
我和他人紧紧相连, 密不可分, 我们都在同一种生活之中.

[]Laptop: acer 5022 /AMD64/ati X600/1G/100G
OS: acer WinXp / Gentoo 2006.0 AMD64
[]Desktop:P4 2.4 NorthWood/SiS 651/521M/80G
OS: Xp.Pro.en / Ubuntu 6.06
头像
ct
帖子: 2201
注册时间: 2005-04-06 21:15
来自: 安徽黄山
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 ct » 2005-06-28 16:04

我的一点问题都没有,只不过显卡驱动要重新弄一下。
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 yongyi » 2005-06-28 17:26

看来又要重装吧?用到Live CD?!
I confess I upgraded my samba (3.0.14a), recently.

while doing so, I changed source list into Breezy repository,

apt-get updated not only samba but some gcc library.

I believe this error caused by Breezy version of system library.

I followed rescue instructions listed in this thread.

boot from live cd

mkdir /mnt/linux
mount /dev/hda1 /mnt/linux
chroot /mnt/linux /bin/bash
mount -t proc /proc /proc

change source list into Breezy.

apt-get install initrd-tools
apt-get remove linux-image-2.6.10-5-686

it will remove 2.6.10 and install linux-image-2.6.12-2-686 .
Of course, I think it is still beta version..
but at least I can boot my system.

If I find my system unstable, I will remove samba(3.0.14a) and install Hoary version samba and kernel..
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
max0000
帖子: 310
注册时间: 2005-04-08 14:54
送出感谢: 0
接收感谢: 0

#5

帖子 max0000 » 2005-06-28 17:26

我的也没有问题,显卡也不用弄。
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 yongyi » 2005-06-28 18:00

这个是什么意思啊?
fixed.... `mkinitrd -o /boot/initrd.img-2.6.11.whatever 2.6.11.whatever` then add that to your menu.lst file right under the kernel initrd /initrd.img.2.6.11.whatever
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
GOVO
帖子: 427
注册时间: 2005-05-15 3:09
送出感谢: 0
接收感谢: 0

#7

帖子 GOVO » 2005-06-28 18:17

是啊,我这次怎么也不升了~打死也不升!!
附件
Screenshot.png
(97.79 KiB) 下载 110 次
琴声如我
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 yongyi » 2005-06-28 18:22

应该没问题的,看前面几位兄弟升了都没问题的。可能是我测试xmms插件时装了一些其他的东西,毕竟是用了Debian的一个源。
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
gnix_oag
帖子: 1994
注册时间: 2005-05-19 18:38
来自: 湖南永州
送出感谢: 0
接收感谢: 1 次
联系:

#9

帖子 gnix_oag » 2005-06-28 18:23

升级后,X 进入不了

删除原来的用户,加了一个用户

改了root 用户密码,又能用了
头像
GOVO
帖子: 427
注册时间: 2005-05-15 3:09
送出感谢: 0
接收感谢: 0

#10

帖子 GOVO » 2005-06-28 18:27

yongyi 写了:应该没问题的,看前面几位兄弟升了都没问题的。可能是我测试xmms插件时装了一些其他的东西,毕竟是用了Debian的一个源。

别傻了,我上次也同样方法更新了这个内核,就重启后进不了Ubuntu 了,Linuxsir上很多兄弟也有同样问题啊!有人说可以在grub菜单中按Esc来选择内核,但吧有啊~~没得选啊,只有一个了~所以坚决不更新这个!!!
琴声如我
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 yongyi » 2005-06-28 19:42

gnix_oag 写了:升级后,X 进入不了

删除原来的用户,加了一个用户

改了root 用户密码,又能用了

我这个情况不同,ubuntu根本一丁点都没载入啊。从GRUB进去一下子就停住了。

我刚刚搞定,现在就在ubuntu下发帖的了。需要安装过另一个新核心。有livecd的话,这会很容易搞定的。
上次由 yongyi 在 2005-06-28 19:49,总共编辑 1 次。
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
gnix_oag
帖子: 1994
注册时间: 2005-05-19 18:38
来自: 湖南永州
送出感谢: 0
接收感谢: 1 次
联系:

#12

帖子 gnix_oag » 2005-06-28 19:49

升级后,我的声音没有了

怎样配置

我想能不能用以前的内核启动,启动后把 5.10 删除啊
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 yongyi » 2005-06-28 20:04

gnix_oag 写了:升级后,我的声音没有了

怎样配置

我想能不能用以前的内核启动,启动后把 5.10 删除啊


没声音?看看相关的音效有没有启动,多媒体选择那里选择对了没?

以前的内核能启动的话,那当然可以的,但千万小心,得确保有那么一内核可以启动。
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
头像
GOVO
帖子: 427
注册时间: 2005-05-15 3:09
送出感谢: 0
接收感谢: 0

#14

帖子 GOVO » 2005-06-28 20:09

我也升级了啦~~现在~~在WIN下,因为启动不了Ubuntu咯~~后天重装~~~!
琴声如我
头像
gnix_oag
帖子: 1994
注册时间: 2005-05-19 18:38
来自: 湖南永州
送出感谢: 0
接收感谢: 1 次
联系:

#15

帖子 gnix_oag » 2005-06-28 20:12

音效没有起动

运行音量控制程序,

显示没有找到音量控制元素和/或设备
回复

回到 “老旧版本支持”